Subject: bug#49505: 28.0.50; Multiple launchers in GNOME

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 10 Jul 2021 18:31:47 +0200

Manuel Uberti <[email-masked]> writes:

> I built Emacs master (commit: 3fa711c11d1497418fdf8a866b7ba52dd3b00e0e)
> and now I see two launchers (.desktop files) in GNOME:
>
> - Emacs
> - Emacs (Client)
>
> The first one is the one I added to my favourites in GNOME, thus it's
> the launcher I've always used in my GNOME dash panel to launch
> Emacs. See attachment 1.png.
>
> However, this launcher now always spawns a new Emacs (Client),
> resulting in two Emacs icons in my GNOME dash. See attachment 2.png.

I think this might be due to the recent changed here by Peter (added to
the CCs).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no